/* colour.c -- written by Edouard Poor for umoria 5.4 */

#ifdef ARC_RISCOS2
#include "colour.h"
#include "^.source.config.h"
#else
#include <conio.h>
#include <dos.h>
#include "colour.h"
#include "config.h"
#endif

colour_entry colours[255] = {
{WHITE          , 255, 255, 255}, /* Colour_White            */
{LIGHTGRAY      , 232, 232, 232}, /* Colour_Light_Grey_High  */
{LIGHTGRAY      , 212, 212, 212}, /* Colour_Light_Grey_Low   */
{LIGHTGRAY      , 188, 188, 188}, /* Colour_Medium_Grey_High */
{LIGHTGRAY      , 168, 168, 168}, /* Colour_Medium_Grey_Low  */
{DARKGRAY       , 144, 144, 144}, /* Colour_Dark_Grey_High   */
{DARKGRAY       , 120, 120, 120}, /* Colour_Dark_Grey_Low    */
{DARKGRAY       ,  96,  96,  96}, /* Colour_Black            */
{LIGHTRED       , 255,  80,  80}, /* Colour_Light_Red        */
{LIGHTGREEN     ,  96, 255,  96}, /* Colour_Light_Green      */
{YELLOW         , 255, 255,  96}, /* Colour_Light_Yellow     */
{CYAN           ,  96, 160, 255}, /* Colour_Light_Blue       */
{LIGHTRED       , 255, 192,  64}, /* Colour_Light_Orange     */
{LIGHTMAGENTA   , 255,  96, 255}, /* Colour_Light_Purple     */
{RED            , 224,   0,   0}, /* Colour_Red              */
{GREEN          ,   0, 224,   0}, /* Colour_Green            */
{YELLOW         , 224, 224,   0}, /* Colour_Yellow           */
{LIGHTBLUE      ,   0,   0, 255}, /* Colour_Blue             */
{RED            , 255, 160,   0}, /* Colour_Orange           */
{MAGENTA        , 224,   0, 240}, /* Colour_Purple           */
{RED            , 144,   0,   0}, /* Colour_Dark_Red         */
{GREEN          ,   0, 128,   0}, /* Colour_Dark_Green       */
{BROWN          , 144, 128,   0}, /* Colour_Dark_Yellow      */
{BLUE           ,   0,   0, 144}, /* Colour_Dark_Blue        */
{RED            , 160,  96,   0}, /* Colour_Dark_Orange      */
{MAGENTA        , 128,   0, 144}, /* Colour_Dark_Purple      */
{CYAN           , 240, 240, 176}, /* Colour_Cream            */
{RED            , 240, 192,  64}, /* Colour_Amber            */
{BROWN          , 224, 208, 176}, /* Colour_Driftwood        */
{LIGHTGRAY      , 224,  64,  96}, /* Colour_Coral            */
{RED            , 224, 192,  96}, /* Colour_Agate            */
{WHITE          , 255, 255, 240}, /* Colour_Ivory            */
{DARKGRAY       ,  64,  64, 128}, /* Colour_Obsidian         */
{LIGHTGRAY      , 224, 224, 208}, /* Colour_Bone             */
{YELLOW         , 224, 192,   0}, /* Colour_Brass            */
{LIGHTRED       , 208, 176,   0}, /* Colour_Bronze           */
{LIGHTGRAY      , 224, 224, 224}, /* Colour_Pewter           */
{GREEN          , 208, 192,  96}, /* Colour_Tortoise_Shell   */
{LIGHTGRAY      , 240, 240, 240}, /* Colour_Aluminum         */
{DARKGRAY       , 160, 160, 176}, /* Colour_Cast_Iron        */
{BROWN          , 240, 240, 240}, /* Colour_Chromium         */
{YELLOW         , 255, 224, 128}, /* Colour_Copper           */
{YELLOW         , 240, 224,  96}, /* Colour_Gold             */
{DARKGRAY       , 176, 176, 192}, /* Colour_Iron             */
{LIGHTGRAY      , 240, 240, 240}, /* Colour_Magnesium        */
{LIGHTRED       , 240, 240, 240}, /* Colour_Molybdenum       */
{LIGHTGREEN     , 240, 240, 240}, /* Colour_Nickel           */
{BROWN          , 208,  96,  32}, /* Colour_Rusty            */
{LIGHTGRAY      , 255, 255, 255}, /* Colour_Silver           */
{WHITE          , 224, 224, 240}, /* Colour_Steel            */
{WHITE          , 224, 224, 224}, /* Colour_Tin              */
{YELLOW         , 160, 160, 176}, /* Colour_Titanium         */
{DARKGRAY       , 192, 192, 192}, /* Colour_Tungsten         */
{WHITE          ,  96,  96,  96}, /* Colour_Zirconium        */
{LIGHTGRAY      , 208, 224, 255}, /* Colour_Zinc             */
{BROWN          , 160, 112,  96}, /* Colour_Dirt             */
{BROWN          , 144, 144,  64}, /* Colour_Leperous         */
{CYAN           , 240, 224, 208}, /* Colour_Flesh            */
{RED            , 224, 255, 176}, /* Colour_Disenchanting    */
{BROWN          , 176, 128,  96}, /* Colour_Rotting          */
{BROWN          , 224, 224, 208}, /* Colour_Clay             */
{LIGHTGRAY      , 192, 192, 192}, /* Colour_Stone            */
{LIGHTRED       , 255,  80,  64}, /* Colour_Fire             */
{BLUE           ,  64, 192, 240}, /* Colour_Water            */
{BROWN          , 176, 112,  64}, /* Colour_Earth            */
{CYAN           , 255, 255, 255}, /* Colour_Air              */
{LIGHTCYAN      ,  64, 224, 255}, /* Colour_Frost            */
{BLUE           , 255, 255, 255}, /* Colour_Lightning        */
{CYAN           , 160, 224, 160}, /* Colour_Gelatinous       */
{BROWN          , 208, 176,  64}, /* Colour_Umber            */
{WHITE          , 224, 240, 255}, /* Colour_Crystal          */
{BROWN          , 224, 176,  96}, /* Colour_Brown            */
{LIGHTCYAN      , 240, 224, 160}, /* Colour_Ecru             */
{GREEN          , 224, 160,   0}, /* Colour_Furry            */
{LIGHTMAGENTA   , 208, 208, 208}, /* Colour_Plaid            */
{LIGHTGREEN     ,  96, 176,   0}, /* Colour_Slimy            */
{BROWN          , 240, 176,   0}, /* Colour_Tan              */
{BROWN          , 208, 144,  80}, /* Colour_Wooden           */
{CYAN           , 208, 208, 176}, /* Colour_Wrinkled         */
{GREEN          , 160, 255,   0}, /* Colour_Icky_Green       */
{BROWN          , 240, 192,   0}, /* Colour_Light_Brown      */
{LIGHTCYAN      , 255, 255, 255}, /* Colour_Clear            */
{BLUE           , 128, 192, 255}, /* Colour_Azure            */
{CYAN           , 240, 240, 240}, /* Colour_Bubbling         */
{LIGHTGREEN     , 176, 208, 112}, /* Colour_Chartreuse       */
{DARKGRAY       , 112, 112, 128}, /* Colour_Cloudy           */
{RED            , 176,  64,  64}, /* Colour_Crimson          */
{CYAN           ,   0, 255, 255}, /* Colour_Cyan             */
{LIGHTGRAY      , 176, 176, 176}, /* Colour_Hazy             */
{LIGHTMAGENTA   , 112,   0, 192}, /* Colour_Indigo           */
{MAGENTA        , 224,   0, 224}, /* Colour_Magenta          */
{LIGHTBLUE      ,  64, 144, 255}, /* Colour_Metallic_Blue    */
{LIGHTRED       , 255,  32,  64}, /* Colour_Metallic_Red     */
{LIGHTGREEN     ,  32, 255,  96}, /* Colour_Metallic_Green   */
{LIGHTMAGENTA   , 144,  96, 208}, /* Colour_Metallic_Purple  */
{DARKGRAY       , 240, 240, 240}, /* Colour_Misty            */
{LIGHTRED       , 255, 144, 224}, /* Colour_Pink             */
{CYAN           , 176,  96, 128}, /* Colour_Puce             */
{DARKGRAY       , 112,  96,  96}, /* Colour_Smoky            */
{LIGHTRED       , 208,  96,   0}, /* Colour_Tangerine        */
{MAGENTA        , 128,   0, 176}, /* Colour_Violet           */
{GREEN          , 255, 112,   0}, /* Colour_Vermilion        */
{LIGHTGREEN     , 112, 208,   0}, /* Colour_Alexandrite      */
{MAGENTA        , 176,   0, 255}, /* Colour_Amethyst         */
{LIGHTCYAN      ,   0, 208, 196}, /* Colour_Aquamarine       */
{LIGHTBLUE      ,   0, 176, 255}, /* Colour_Azurite          */
{GREEN          , 112, 176,  96}, /* Colour_Beryl            */
{RED            , 224,  80,  32}, /* Colour_Bloodstone       */
{WHITE          , 224, 224, 224}, /* Colour_Calcite          */
{RED            , 176,  48,   0}, /* Colour_Carnelian        */
{BLUE           ,  48, 112, 255}, /* Colour_Corundum         */
{WHITE          , 255, 255, 255}, /* Colour_Diamond          */
{GREEN          ,  64, 208,  64}, /* Colour_Emerald          */
{WHITE          , 240, 255, 224}, /* Colour_Fluorite         */
{RED            , 224,   0,   0}, /* Colour_Garnet           */
{LIGHTGRAY      , 112, 112, 128}, /* Colour_Granite          */
{GREEN          , 112, 176,  48}, /* Colour_Jade             */
{RED            , 208,  80,  48}, /* Colour_Jasper           */
{LIGHTBLUE      , 112, 144, 224}, /* Colour_Lapis_Lazuli     */
{RED            , 176,  80,  32}, /* Colour_Magma            */
{LIGHTGREEN     , 112, 176,  64}, /* Colour_Malachite        */
{DARKGRAY       , 128, 144, 144}, /* Colour_Marble           */
{DARKGRAY       , 240, 240, 240}, /* Colour_Moonstone        */
{LIGHTGRAY      , 224, 208, 208}, /* Colour_Onyx             */
{WHITE          , 240, 240, 240}, /* Colour_Pearl            */
{WHITE          , 224, 224, 224}, /* Colour_Quartz           */
{WHITE          , 208, 208, 208}, /* Colour_Quartzite        */
{RED            , 224,   0,  64}, /* Colour_Rhodonite        */
{RED            , 240,  64,  64}, /* Colour_Ruby             */
{BLUE           ,  96,  64, 208}, /* Colour_Sapphire         */
{LIGHTRED       , 224, 128,  64}, /* Colour_Tiger_Eye        */
{YELLOW         , 224, 208,  32}, /* Colour_Topaz            */
{CYAN           ,   0, 192, 192}, /* Colour_Turquoise        */
{YELLOW         , 240, 224,  64}, /* Colour_Zircon           */
{BROWN          , 176, 112,  96}, /* Colour_Food             */
{GREEN          , 144, 208,   0}, /* Colour_Slime            */
{BROWN          , 144, 112,  32}, /* Colour_Leather          */
{BROWN          , 208, 224, 224}, /* Colour_Cord             */
{WHITE          , 240, 240, 224}, /* Colour_Paper            */
{BROWN          , 208, 192, 160}, /* Colour_Old_Parchment    */
{RED            , 208,  80,   0}, /* Colour_Apple            */
{YELLOW         ,  80,  96, 112}, /* Colour_Oil              */
{YELLOW         ,  80, 176, 255}, /* Colour_Magic_Light      */
{BROWN          , 144, 128, 112}, /* Colour_Mud              */
{GREEN          ,  96, 112,  96}, /* Colour_Acid             */
{BROWN          , 208, 224, 224}, /* Colour_Pottery          */
{RED            , 176,  64,  96}, /* Colour_Wine             */
{LIGHTGREEN     , 255, 255, 208}, /* Colour_Mithril          */
{RED            , 224, 176,  96}, /* Colour_Aspen            */
{BROWN          , 240, 224, 208}, /* Colour_Balsa            */
{BROWN          , 224, 192, 128}, /* Colour_Banyan           */
{BROWN          , 144, 128, 108}, /* Colour_Birch            */
{RED            , 176,  96,  64}, /* Colour_Cedar            */
{BROWN          , 208, 192, 176}, /* Colour_Cottonwood       */
{BROWN          , 208, 192, 160}, /* Colour_Cypress          */
{RED            , 160, 128, 112}, /* Colour_Dogwood          */
{RED            , 224, 176, 112}, /* Colour_Elm              */
{GREEN          , 208, 192, 144}, /* Colour_Eucalyptus       */
{GREEN          , 208, 176, 144}, /* Colour_Hemlock          */
{RED            , 176, 128, 112}, /* Colour_Hickory          */
{LIGHTGRAY      , 112, 112, 128}, /* Colour_Ironwood         */
{YELLOW         , 240, 208,  64}, /* Colour_Locust           */
{RED            , 176, 112,  64}, /* Colour_Mahogany         */
{BROWN          , 224, 208, 144}, /* Colour_Maple            */
{RED            , 176, 128, 128}, /* Colour_Mulberry         */
{RED            , 224, 160, 112}, /* Colour_Oak              */
{BROWN          , 176, 160, 144}, /* Colour_Pine             */
{RED            , 208,  96,  64}, /* Colour_Redwood          */
{RED            , 160,  80,  64}, /* Colour_Rosewood         */
{YELLOW         , 176, 176,  80}, /* Colour_Spruce           */
{YELLOW         , 208, 160, 128}, /* Colour_Sycamore         */
{BROWN          , 240, 208, 128}, /* Colour_Teak             */
{BROWN          , 208, 176, 144}, /* Colour_Walnut           */
{BLUE           ,  96, 192, 255}, /* Colour_Magic_Missile    */
{GREEN          , 112, 192,   0}, /* Colour_Poison_Gas       */
{YELLOW         ,  96,  96,  96}, /* Colour_Holy_Orb         */
/* All new colours to be put after this point. */
};

void setattr(attr colour)
{
   textcolor(colours[colour].L);
};
